# MatGetDiagonal

Gets the diagonal of a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetDiagonal(Mat mat,Vec v)

Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| v | - the vector for storing the diagonal

### Output Parameter

v -the diagonal of the matrix

Notes: The result of this call are the same as if one converted the matrix to dense format and found the minimum value in each row (i.e. the implicit zeros are counted as zeros).

### See Also

MatGetRow(), MatGetSubMatrices(), MatGetSubmatrix(), MatGetRowMaxAbs()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html